<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ShapeVisitor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShapeVisitor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ShapeVisitor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeTextVisitor.TextAcceptor.html"
               title="class in org.apache.poi.xdgf.usermodel.shape"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
               title="interface in org.apache.poi.xdgf.usermodel.shape"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html" target="_top">Frames</a>
        </li>
        <li><a href="ShapeVisitor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel.shape</div>
    <h2 title="Class ShapeVisitor" class="title">Class ShapeVisitor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xdgf.usermodel.shape.ShapeVisitor</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeRenderer.html"
                           title="class in org.apache.poi.xdgf.usermodel.shape">ShapeRenderer</a>, <a
                            href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeTextVisitor.html"
                            title="class in org.apache.poi.xdgf.usermodel.shape">ShapeTextVisitor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">ShapeVisitor</span>
extends java.lang.Object</pre>
                <div class="block">Used to iterate through shapes

                    To change the behavior of a particular visitor, you can override either
                    accept() or getAcceptor() [preferred]

                    If accept() or visit() throw StopVisitingThisBranch, the iteration will not
                    visit subshapes of the shape.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#Z:Z_acceptor">_acceptor</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#ShapeVisitor--">ShapeVisitor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#accept-org.apache.poi.xdgf.usermodel.XDGFShape-">accept</a></span>(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#getAcceptor--">getAcceptor</a></span>()</code>
                                    <div class="block">Is only called on construction of the visitor, allows
                                        mixing visitors and acceptors
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#setAcceptor-org.apache.poi.xdgf.usermodel.shape.ShapeVisitorAcceptor-">setAcceptor</a></span>(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a>&nbsp;acceptor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#visit-org.apache.poi.xdgf.usermodel.XDGFShape-java.awt.geom.AffineTransform-int-">visit</a></span>(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape,
                                    java.awt.geom.AffineTransform&nbsp;globalTransform,
                                    int&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_acceptor">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_acceptor</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a> _acceptor</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ShapeVisitor--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ShapeVisitor</h4>
                                <pre>public&nbsp;ShapeVisitor()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAcceptor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAcceptor</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a>&nbsp;getAcceptor()</pre>
                                <div class="block">Is only called on construction of the visitor, allows
                                    mixing visitors and acceptors
                                </div>
                            </li>
                        </ul>
                        <a name="setAcceptor-org.apache.poi.xdgf.usermodel.shape.ShapeVisitorAcceptor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAcceptor</h4>
                                <pre>public&nbsp;void&nbsp;setAcceptor(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
                                        title="interface in org.apache.poi.xdgf.usermodel.shape">ShapeVisitorAcceptor</a>&nbsp;acceptor)</pre>
                            </li>
                        </ul>
                        <a name="accept-org.apache.poi.xdgf.usermodel.XDGFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>accept</h4>
                                <pre>public&nbsp;boolean&nbsp;accept(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="visit-org.apache.poi.xdgf.usermodel.XDGFShape-java.awt.geom.AffineTransform-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>visit</h4>
                                <pre>public abstract&nbsp;void&nbsp;visit(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape,
                           java.awt.geom.AffineTransform&nbsp;globalTransform,
                           int&nbsp;level)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - Current shape</dd>
                                    <dd><code>globalTransform</code> - A transform that can convert the shapes points to
                                        global
                                        coordinates
                                    </dd>
                                    <dd><code>level</code> - Level in the tree (0 is topmost, 1 is next level...</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ShapeVisitor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeTextVisitor.TextAcceptor.html"
               title="class in org.apache.poi.xdgf.usermodel.shape"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html"
               title="interface in org.apache.poi.xdgf.usermodel.shape"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html" target="_top">Frames</a>
        </li>
        <li><a href="ShapeVisitor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
